def lunar_arithmetic(a, b):
    # Выравнивание по длине
    max_length = max(len(a), len(b))
    a = a.zfill(max_length)  # Добавляем ведущие нули к a
    b = b.zfill(max_length)  # Добавляем ведущие нули к b
    
    lunar_sum = []
    lunar_product = []
    
    # Перебор цифр
    for digit_a, digit_b in zip(a, b):
        max_digit = max(digit_a, digit_b)  # Сумма в лунной арифметике
        min_digit = min(digit_a, digit_b)  # Произведение в лунной арифметике
        
        lunar_sum.append(max_digit)
        lunar_product.append(min_digit)
    
    # Объединяем результаты в строки
    result_sum = ''.join(lunar_sum)
    result_product = ''.join(lunar_product)
    
    return result_sum, result_product

# Чтение входных данных
import sys
input = sys.stdin.read
data = input().strip().split()

a = data[0]
b = data[1]

# Получаем результаты
result_sum, result_product = lunar_arithmetic(a, b)

# Вывод результатов
print(result_sum)
print(result_product)