def is_valid_cube(numbers):
    if len(numbers) != 6:
        return False
    
    pairs = [
        (numbers[0], numbers[1]),
        (numbers[2], numbers[3]),
        (numbers[4], numbers[5])
    ]
    
    target_sum = sum(pairs[0])
    
    for a, b in pairs:
        if a + b != target_sum:
            return False
            
    return True

# Пример использования:
numbers = [1, 2, 3, 4, 5, 6]
print(is_valid_cube(numbers))  # Вывод: True